package com.tuoheng.admin.conver;

import com.tuoheng.admin.entity.User;
import com.tuoheng.admin.vo.user.UserInfoVo;
import com.tuoheng.admin.vo.user.UserPageListVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface UserConverMapper {

    UserConverMapper INSTANCE = Mappers.getMapper(UserConverMapper.class);

    UserInfoVo fromUserToUserInfoVo(User user);

    List<UserPageListVo> fromUserListToUserPageVoList(List<User> userList);

}
